http
DELETE https://services.leadconnectorhq.com/knowledge-bases/crawler

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
knowledgeBaseIdstringYestDtDnQdgm2LXpyiqYvZ6knowledge base ID as string
locationIdstringYestDtDnQdgm2LXpyiqYvZ6account ID as string
urlIdsstring[]Yes[tDtDnQdgm2LXpyiqYvZ6]List of trained urls ids ( fetched from the Get all trained page links by knowledge base endpoint)

Responses

200 - Selected pages deleted successfully
  • success (boolean, required): Indicates if the operation was successful Example: True

json
{
  "success": true
}
400 - Bad Request
  • statusCode (number): Example: 400

  • message (string): Example: Bad Request

json
{
  "statusCode": 400,
  "message": "Bad Request"
}
401 - Unauthorized
  • statusCode (number): Example: 401

  • message (string): Example: Invalid token: access token is invalid

  • error (string): Example: Unauthorized

json
{
  "statusCode": 401,
  "message": "Invalid token: access token is invalid",
  "error": "Unauthorized"
}
422 - Unprocessable Entity
  • statusCode (number): Example: 422

  • message (string[])

  • error (string): Example: Unprocessable Entity

json
{
  "statusCode": 422,
  "message": [
    "Unprocessable Entity"
  ],
  "error": "Unprocessable Entity"
}
500 - Internal Server Error
  • statusCode (number): Example: 500

  • message (string): Example: Internal Server Error

json
{
  "statusCode": 500,
  "message": "Internal Server Error"
}

Example

curl -X DELETE 'https://services.leadconnectorhq.com/knowledge-bases/crawler' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "knowledgeBaseId": "tDtDnQdgm2LXpyiqYvZ6",
  "locationId": "tDtDnQdgm2LXpyiqYvZ6",
  "urlIds": "[tDtDnQdgm2LXpyiqYvZ6]"
}'

Last updated October 26, 2026

Was this page helpful?